import 'package:flutter/material.dart';
import 'package:gymlink_module_web/tools/prefs.dart';

//TODO: Возможно нужно дорабатывать
class CartProvider extends ChangeNotifier {
  int _cartLength = 0;

  int get cartLength => _cartLength;

  CartProvider() {
    updateCartLength();
  }

  void updateCartLength() {
    getCart().then((value) {
      _cartLength = value.length;
      notifyListeners();
    });
  }
}
